﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;

namespace FloralExpressCheckOut.Class
{
    public class OrdersInfoRepository
    {
        string connstr;

        public OrdersInfoRepository()
        {
            connstr = ConfigurationManager.ConnectionStrings["floralexpresscheckoutConnectionString"].ConnectionString;
        }
        
        #region  Insert Methods

        public int InsertOrdersInfo(Orders ordersInfo)
        {
            int orderId;
            using (FloralDBDataContext dc = new FloralDBDataContext(connstr))
            {
              orderId=dc.InsertOrdersInfo(ordersInfo.MemberID,ordersInfo.OrderDate,ordersInfo.OrderUpdate);
            }
            return orderId;
        }

        #endregion
    }
}