﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;

namespace FloralExpressCheckOut.Class
{
    

    public class OrderItemInfoRepository
    {
        string connstr;

        public OrderItemInfoRepository()
        {
            connstr = ConfigurationManager.ConnectionStrings["floralexpresscheckoutConnectionString"].ConnectionString;
        }

        #region Insert Methods

        public void InsertOrderItemInfo(OrderItem orderItemInfo)
        {
            using (FloralDBDataContext dc = new FloralDBDataContext(connstr))
            {
                dc.InsertOrderItemInfo(orderItemInfo.OrderID,orderItemInfo.ProductID,orderItemInfo.Quantity);
            }
        }

        #endregion
    }
}