﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace FloralExpressCheckOut.Class
{
    public class PaymentDetails
    {
        public PaymentDetails()
        {
 
        }
        
        private decimal paymentRequest_Amt;
        public decimal PaymentRequest_Amt
        {
            get
            {
                if (paymentRequest_Amt != Decimal.Zero)
                {
                    return paymentRequest_Amt;
                }
                return Decimal.Zero;
            }
            set
            {
                paymentRequest_Amt = value;
            }
        }

        private decimal paymentRequest_ItemTotalAmt;
        public decimal PaymentRequest_ItemTotalAmt
        {
            get
            {
                if (paymentRequest_ItemTotalAmt != Decimal.Zero)
                {
                    return paymentRequest_ItemTotalAmt;
                }
                return Decimal.Zero;
            }
            set
            {
                paymentRequest_ItemTotalAmt = value;
            }
        }

        private decimal paymentRequest_ShippingTotalAmt;
        public decimal PaymentRequest_ShippingTotalAmt
        {
            get
            {
                if (paymentRequest_ShippingTotalAmt != Decimal.Zero)
                {
                    return paymentRequest_ShippingTotalAmt;
                }
                return Decimal.Zero;
            }
            set
            {
                paymentRequest_ShippingTotalAmt = value;
            }
        }

        private decimal paymentRequest_InsuranceTotalAmt;
        public decimal PaymentRequest_InsuranceTotalAmt
        {
            get
            {
                if (paymentRequest_InsuranceTotalAmt != Decimal.Zero)
                {
                    return paymentRequest_InsuranceTotalAmt;
                }
                return Decimal.Zero;
            }
            set
            {
                paymentRequest_InsuranceTotalAmt = value;
            }
        }

        private decimal paymentRequest_ShipDiscAmt;
        public decimal PaymentRequest_ShipDiscAmt
        {
            get
            {
                if (paymentRequest_ShipDiscAmt != Decimal.Zero)
                {
                    return paymentRequest_ShipDiscAmt;
                }
                return Decimal.Zero;
            }
            set
            {
                paymentRequest_ShipDiscAmt = value;
            }
        }

        private bool paymentRequest_InsuranceOptionOffered;
        public bool PaymentRequest_InsuranceOptionOffered
        {
            get
            {
                return paymentRequest_InsuranceOptionOffered;
            }
            set
            {
                paymentRequest_InsuranceOptionOffered = value;
            }
        }

        private bool insuranceOptionIsAcceptedByUser;
        public bool InsuranceOptionIsAcceptedByUser
        {
            get
            {
                return insuranceOptionIsAcceptedByUser;
            }
            set
            {
                insuranceOptionIsAcceptedByUser = value;
            }
        }

        private decimal paymentRequest_HandlingTotalAmt;
        public decimal PaymentRequest_HandlingTotalAmt
        {
            get
            {
                if (paymentRequest_HandlingTotalAmt != Decimal.Zero)
                {
                    return paymentRequest_HandlingTotalAmt;
                }
                return Decimal.Zero;
            }
            set
            {
                paymentRequest_HandlingTotalAmt = value;
            }
        }

        private decimal paymentRequest_TaxTotalAmt;
        public decimal PaymentRequest_TaxTotalAmt
        {
            get
            {
                if (paymentRequest_TaxTotalAmt != Decimal.Zero)
                {
                    return paymentRequest_TaxTotalAmt;
                }
                return Decimal.Zero;
            }
            set
            {
                paymentRequest_TaxTotalAmt = value;
            }
        }

        private string paymentRequest_Desc;
        public string PaymentRequest_Desc
        {
            get
            {
                if (paymentRequest_Desc != null)
                {
                    return paymentRequest_Desc;
                }
                return null;
            }
            set
            {
                paymentRequest_Desc = value;
            }
        }

        private string paymentRequest_Custom;
        public string PaymentRequest_Custom
        {
            get
            {
                if (paymentRequest_Custom != null)
                {
                    return paymentRequest_Custom;
                }
                return null;
            }
            set
            {
                paymentRequest_Custom = value;
            }
        }

        private string paymentRequest_InvNum;
        public string PaymentRequest_InvNum
        {
            get
            {
                if (paymentRequest_InvNum != null)
                {
                    return paymentRequest_InvNum;
                }
                return null;
            }
            set
            {
                paymentRequest_InvNum = value;
            }
        }

        private string paymentRequest_NotifyUrl;
        public string PaymentRequest_NotifyUrl
        {
            get
            {
                if (paymentRequest_NotifyUrl != null)
                {
                    return paymentRequest_NotifyUrl;
                }
                return null;
            }
            set
            {
                paymentRequest_NotifyUrl = value;
            }
        }

        private string paymentRequest_NoteTxt;
        public string PaymentRequest_NoteTxt
        {
            get
            {
                if (paymentRequest_NoteTxt != null)
                {
                    return paymentRequest_NoteTxt;
                }
                return null;
            }
            set
            {
                paymentRequest_NoteTxt = value;
            }
        }

        private string paymentRequest_TransactionID;
        public string PaymentRequest_TransactionID
        {
            get
            {
                if (paymentRequest_TransactionID != null)
                {
                    return paymentRequest_TransactionID;
                }
                return null;
            }
            set
            {
                paymentRequest_TransactionID = value;
            }
        }

        private string paymentRequest_ShippingOptionName;
        public string PaymentRequest_ShippingOptionName
        {
            get
            {
                if (paymentRequest_ShippingOptionName != null)
                {
                    return paymentRequest_ShippingOptionName;
                }
                return null;
            }
            set
            {
                paymentRequest_ShippingOptionName = value;
            }
        }

        private string paymentRequest_ShippingOptionLabel;
        public string PaymentRequest_ShippingOptionLabel
        {
            get
            {
                if (paymentRequest_ShippingOptionLabel != null)
                {
                    return paymentRequest_ShippingOptionLabel;
                }
                return null;
            }
            set
            {
                paymentRequest_ShippingOptionLabel = value;
            }
        }

        private string paymentRequest_ShippingOptionAmount;
        public string PaymentRequest_ShippingOptionAmount
        {
            get
            {
                if (paymentRequest_ShippingOptionAmount != null)
                {
                    return paymentRequest_ShippingOptionAmount;
                }
                return null;
            }
            set
            {
                paymentRequest_ShippingOptionAmount = value;
            }
        }

        private string paymentRequest_ShippingOptionID;
        public string PaymentRequest_ShippingOptionID
        {
            get
            {
                if (paymentRequest_ShippingOptionID != null)
                {
                    return paymentRequest_ShippingOptionID;
                }
                return null;
            }
            set
            {
                paymentRequest_ShippingOptionID = value;
            }
        }

        private decimal paymentRequest_TotalDiscAmt;
        public decimal PaymentRequest_TotalDiscAmt
        {
            get
            {
                if (paymentRequest_TotalDiscAmt != Decimal.Zero)
                {
                    return paymentRequest_TotalDiscAmt;
                }
                return Decimal.Zero;
            }
            set
            {
                paymentRequest_TotalDiscAmt = value;
            }
        }

        private string paymentRequest_PaymentActionID;
        public string PaymentRequest_PaymentActionID
        {
            get
            {
                if (paymentRequest_PaymentActionID != null)
                {
                    return paymentRequest_PaymentActionID;
                }
                return null;
            }
            set
            {
                paymentRequest_PaymentActionID = value;
            }
        }

        private decimal paymentRequest_MaxAmount;
        public decimal PaymentRequest_MaxAmount
        {
            get
            {
                if (paymentRequest_MaxAmount != Decimal.Zero)
                {
                    return paymentRequest_MaxAmount;
                }
                return Decimal.Zero;
            }
            set
            {
                paymentRequest_MaxAmount = value;
            }
        }

        private List<PaymentItemDetailsInfo> paymentItemDetailsInfoObjects;
        public List<PaymentItemDetailsInfo> PaymentItemDetailsInfoObjects
        {
            get
            {
                if (paymentItemDetailsInfoObjects != null )                
                {
                    return paymentItemDetailsInfoObjects;
                }
                return null;
            }
            set
            {
                paymentItemDetailsInfoObjects = value;
            }
        }
    }
}