﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace FloralExpressCheckOut.Class
{
    public class ShippingOptions
    {
        public ShippingOptions()
        {
        }

        private bool shippingOptionIsDefault;
        public bool ShippingOptionIsDefault
        {
            get
            {
                return shippingOptionIsDefault;
            }
            set
            {
                shippingOptionIsDefault = value;
            }
        }

        private string shippingOptionName;
        public string ShippingOptionName
        {
            get
            {
                if (shippingOptionName != null)
                {
                    return shippingOptionName;
                }
                return null;
            }
            set
            {
                shippingOptionName = value;
            }
        }

        private decimal shippingOptionAmount;
        public decimal ShippingOptionAmount
        {
            get
            {
                if (shippingOptionAmount != Decimal.Zero)
                {
                    return shippingOptionAmount;
                }
                return Decimal.Zero;
            }
            set
            {
                shippingOptionAmount = value;
            }
        }

        private string shippingOptionLabel;
        public string ShippingOptionLabel
        {
            get
            {
                if (shippingOptionLabel != null)
                {
                    return shippingOptionLabel;
                }
                return null;
            }
            set
            {
                shippingOptionLabel = value;
            }
        }

    }
}